> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a secondary domain of an organization

> Checks the DNS TXT record returned in `verificationRecord` and marks the domain as verified. For platform, the plan must be 'ESSENTIALS' or higher to access this endpoint. Required membership role: `org admin`. PBAC permission: `organization.update`. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control



## OpenAPI

````yaml /api-reference/v2/openapi.json post /v2/organizations/{orgId}/secondary-domains/{domainId}/verify
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/organizations/{orgId}/secondary-domains/{domainId}/verify:
    post:
      tags:
        - Orgs / Secondary Domains
      summary: Verify a secondary domain of an organization
      description: >-
        Checks the DNS TXT record returned in `verificationRecord` and marks the
        domain as verified. For platform, the plan must be 'ESSENTIALS' or
        higher to access this endpoint. Required membership role: `org admin`.
        PBAC permission: `organization.update`. Learn more about API access
        control at https://cal.com/docs/api-reference/v2/access-control
      operationId: OrganizationsSecondaryDomainsController_verifySecondaryDomain
      parameters:
        - name: Authorization
          in: header
          description: >-
            For non-platform customers - value must be `Bearer <token>` where
            `<token>` is api key prefixed with cal_
          required: false
          schema:
            type: string
        - name: x-cal-secret-key
          in: header
          description: For platform customers - OAuth client secret key
          required: false
          schema:
            type: string
        - name: x-cal-client-id
          in: header
          description: For platform customers - OAuth client ID
          required: false
          schema:
            type: string
        - name: orgId
          required: true
          in: path
          schema:
            type: number
        - name: domainId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationSecondaryDomainResponseOutput'
components:
  schemas:
    OrganizationSecondaryDomainResponseOutput:
      type: object
      properties:
        status:
          enum:
            - success
            - error
          type: string
          example: success
        data:
          $ref: '#/components/schemas/OrganizationSecondaryDomainOutput'
      required:
        - status
        - data
    OrganizationSecondaryDomainOutput:
      type: object
      properties:
        id:
          type: number
          example: 1
        domain:
          type: string
          example: acme.fr
        usernameSuffix:
          type: string
          example: fr
          description: >-
            Usernames of members with this email domain end with
            -<usernameSuffix>
        verified:
          type: boolean
          example: false
        verifiedAt:
          format: date-time
          type: string
          nullable: true
          example: null
        createdAt:
          format: date-time
          type: string
          example: '2026-10-02T09:00:00.000Z'
        verificationRecord:
          description: DNS record that must be published to verify ownership of the domain
          allOf:
            - $ref: '#/components/schemas/SecondaryDomainVerificationRecordOutput'
      required:
        - id
        - domain
        - usernameSuffix
        - verified
        - verifiedAt
        - createdAt
        - verificationRecord
    SecondaryDomainVerificationRecordOutput:
      type: object
      properties:
        type:
          type: string
          example: TXT
          enum:
            - TXT
        name:
          type: string
          example: _cal-verification.acme.fr
        value:
          type: string
          example: cal-verification=3f1c0d7e9a2b4c6d8e0f1a2b3c4d5e6f
      required:
        - type
        - name
        - value

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.